## org.apache.http.protocol
Class ResponseDate

    java.lang.Object
      org.apache.http.protocol.ResponseDate

All Implemented Interfaces:
  HttpResponseInterceptor

    @ThreadSafe
    public class ResponseDate

extends Object
implements HttpResponseInterceptor

ResponseDate is responsible for adding `Date<c/ode> header to the outgoing responses. This interceptor is recommended for server side protocol processors.`

Since:
  4.0

Constructor Summary
`ResponseDate()`

Method Summary
`void` `process(HttpResponse response, HttpContext context)` Processes a response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseDate

    public ResponseDate()

Method Detail

### process

    public void process(HttpResponse response,
                        HttpContext context)
                 throws HttpException,
                        IOException

  Description copied from interface: `HttpResponseInterceptor`
  Processes a response. On the server side, this step is performed before the response is sent to the client. On the client side, this step is performed on incoming messages before the message body is evaluated.

  Specified by:
    `process` in interface `HttpResponseInterceptor`
  Parameters:
    `response` - the response to postprocess
    `context` - the context for the request
  Throws:
    `HttpException` - in case of an HTTP protocol violation
    `IOException` - in case of an I/O error

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.